:root {
  --Content-Font: 'Vollkorn', serif;
  --display-edge-spacing: 0.9375rem;
  --spacing-small: 0.3125rem;
  --spacing-minor-min: 0.625rem;
  --spacing-minor: 0.9375rem;
  --spacing-medium: 2.5rem;
  --spacing-large: 5rem;
  --feed-section-spacing: 5rem;
  --feed-item-spacing: 0.9375rem;
  --gap-spacing-small: 0.625rem;
  --content-subsection-spacing: 2.5rem;
  --menu-button-list-spacing: 0.9375rem;
  --minimum-line-spacing: 0.3125rem;
  --settings-text-spacing: 0.625rem;
  --settings-list-spacing: 0.3125rem;
  --settings-section-spacing: 2.5rem;
  --content-section-spacing: 5rem;
  --card-corner-radius: 1.25rem;
  --card-text-padding-vertical: 0.625rem;
  --card-text-padding-horizontal: 0.9375rem;
  --card-text-spacing: 0.3125rem;
  --icon-button-spacing: 0.9375rem;
  --tabbar-highlight-fill: #a50000;
  --tabbar-height: 83px;

  --text-size-header-large: 2rem;
  --text-size-header-medium: 1.5rem;
  --text-size-body: 1rem;
  --ion-font-family: 'Open Sans', Helvetica, sans-serif;

  --Maximum-Background: #fff;
  --Main-Foreground: rgba(0, 0, 0, 1);
  --Secondary-Foreground: rgba(0, 0, 0, 0.4);
  --Main-Foreground-Link: rgba(163, 0, 10, 0.8);
  --Hint-Foreground: rgba(0, 0, 0, 0.05);
  --Elevated-Background: #fff;
  --Elevated-Background-On-Color: #f4efe7;
  --Taskbar-Highlight-Fill: #a50000;
  --Colored-Background: #eee7dc;
  --Hint-Background: #b3e8ff;
  --Hint-Background-2: #1e4f5a;
  --background: rgb(255, 255, 255);
  --Error-Background: #ec780c;
  --On-Error-Foreground: #fff;
  --Warning-Background: #ffd8bb;
  --Containerized-Background: #e3d9cc;
  --color-primary: #a50000;
  --Color-Button-Highlight-Normal: #a3000a;
  --color-button-highlight-normal: #a3000a;
  --Color-Primary: #a50000;
  --color-button-primary-normal: #ffffff;
  --color-accent-green: #75a816;
  --color-accent-mint: rgba(26, 202, 123, 1);
  --color-accent-teal: rgba(21, 79, 90, 1);
  --color-accent-blue: rgba(0, 146, 235, 1);
  --color-accent-violet: rgba(86, 71, 157, 1);
  --color-accent-red: rgba(165, 0, 0, 1);
  --color-accent-orange: rgba(243, 121, 28, 1);
  --color-hint: rgba(179, 232, 255, 1);
  --color-button-secondary-normal: var(--elevated-background-on-color);
  --elevated-background-on-color: rgba(244, 239, 231, 1);
  --card-box-shadow:
    0 2px 2px 0 rgba(0, 0, 0, 0.05), 0 4px 6px 0 rgba(16, 25, 32, 0.05),
    0 8px 32px 0 rgba(18, 66, 92, 0.1);

  /** primary **/
  --ion-color-primary: var(--Main-Foreground-Link);
  --ion-color-primary-rgb: 56, 128, 255;
  --ion-color-primary-contrast: #ffffff;
  --ion-color-primary-contrast-rgb: 255, 255, 255;
  --ion-color-primary-shade: #3171e0;
  --ion-color-primary-tint: #4c8dff;

  /** secondary **/
  --ion-color-secondary: #3dc2ff;
  --ion-color-secondary-rgb: 61, 194, 255;
  --ion-color-secondary-contrast: #ffffff;
  --ion-color-secondary-contrast-rgb: 255, 255, 255;
  --ion-color-secondary-shade: #36abe0;
  --ion-color-secondary-tint: #50c8ff;

  /** tertiary **/
  --ion-color-tertiary: #5260ff;
  --ion-color-tertiary-rgb: 82, 96, 255;
  --ion-color-tertiary-contrast: #ffffff;
  --ion-color-tertiary-contrast-rgb: 255, 255, 255;
  --ion-color-tertiary-shade: #4854e0;
  --ion-color-tertiary-tint: #6370ff;

  /** success **/
  --ion-color-success: #2dd36f;
  --ion-color-success-rgb: 45, 211, 111;
  --ion-color-success-contrast: #ffffff;
  --ion-color-success-contrast-rgb: 255, 255, 255;
  --ion-color-success-shade: #28ba62;
  --ion-color-success-tint: #42d77d;

  /** warning **/
  --ion-color-warning: #ffc409;
  --ion-color-warning-rgb: 255, 196, 9;
  --ion-color-warning-contrast: #000000;
  --ion-color-warning-contrast-rgb: 0, 0, 0;
  --ion-color-warning-shade: #e0ac08;
  --ion-color-warning-tint: #ffca22;

  /** danger **/
  --ion-color-danger: #eb445a;
  --ion-color-danger-rgb: 235, 68, 90;
  --ion-color-danger-contrast: #ffffff;
  --ion-color-danger-contrast-rgb: 255, 255, 255;
  --ion-color-danger-shade: #cf3c4f;
  --ion-color-danger-tint: #ed576b;

  /** dark **/
  --ion-color-dark: #222428;
  --ion-color-dark-rgb: 34, 36, 40;
  --ion-color-dark-contrast: #ffffff;
  --ion-color-dark-contrast-rgb: 255, 255, 255;
  --ion-color-dark-shade: #1e2023;
  --ion-color-dark-tint: #383a3e;

  /** medium **/
  --ion-color-medium: #92949c;
  --ion-color-medium-rgb: 146, 148, 156;
  --ion-color-medium-contrast: #ffffff;
  --ion-color-medium-contrast-rgb: 255, 255, 255;
  --ion-color-medium-shade: #808289;
  --ion-color-medium-tint: #9d9fa6;

  /** light **/
  --ion-color-light: #f4f5f8;
  --ion-color-light-rgb: 244, 245, 248;
  --ion-color-light-contrast: #000000;
  --ion-color-light-contrast-rgb: 0, 0, 0;
  --ion-color-light-shade: #d7d8da;
  --ion-color-light-tint: #f5f6f9;
}

body {
  --ion-background-color: var(--background);

  --ion-text-color: rgba(0, 0, 0, 0.85);
  --ion-text-color-rgb: 0, 0, 0;
  --ion-text-color-secondary-foreground: rgba(0, 0, 0, 0.4);

  --ion-color-primary: var(--Main-Foreground-Link);
  --ion-color-primary-rgb: 66, 140, 255;
  --ion-color-primary-contrast: #ffffff;
  --ion-color-primary-contrast-rgb: 255, 255, 255;
  --ion-color-primary-shade: #3a7be0;
  --ion-color-primary-tint: #5598ff;

  --ion-color-secondary: #50c8ff;
  --ion-color-secondary-rgb: 80, 200, 255;
  --ion-color-secondary-contrast: #ffffff;
  --ion-color-secondary-contrast-rgb: 255, 255, 255;
  --ion-color-secondary-shade: #46b0e0;
  --ion-color-secondary-tint: #62ceff;

  --ion-color-tertiary: #6a64ff;
  --ion-color-tertiary-rgb: 106, 100, 255;
  --ion-color-tertiary-contrast: #ffffff;
  --ion-color-tertiary-contrast-rgb: 255, 255, 255;
  --ion-color-tertiary-shade: #5d58e0;
  --ion-color-tertiary-tint: #7974ff;

  --ion-color-success: #2fdf75;
  --ion-color-success-rgb: 47, 223, 117;
  --ion-color-success-contrast: #000000;
  --ion-color-success-contrast-rgb: 0, 0, 0;
  --ion-color-success-shade: #29c467;
  --ion-color-success-tint: #44e283;

  --ion-color-warning: #ffd534;
  --ion-color-warning-rgb: 255, 213, 52;
  --ion-color-warning-contrast: #000000;
  --ion-color-warning-contrast-rgb: 0, 0, 0;
  --ion-color-warning-shade: #e0bb2e;
  --ion-color-warning-tint: #ffd948;

  --ion-color-danger: #ff4961;
  --ion-color-danger-rgb: 255, 73, 97;
  --ion-color-danger-contrast: #ffffff;
  --ion-color-danger-contrast-rgb: 255, 255, 255;
  --ion-color-danger-shade: #e04055;
  --ion-color-danger-tint: #ff5b71;

  --ion-color-dark: #f4f5f8;
  --ion-color-dark-rgb: 244, 245, 248;
  --ion-color-dark-contrast: #000000;
  --ion-color-dark-contrast-rgb: 0, 0, 0;
  --ion-color-dark-shade: #d7d8da;
  --ion-color-dark-tint: #f5f6f9;

  --ion-color-medium: #989aa2;
  --ion-color-medium-rgb: 152, 154, 162;
  --ion-color-medium-contrast: #000000;
  --ion-color-medium-contrast-rgb: 0, 0, 0;
  --ion-color-medium-shade: #86888f;
  --ion-color-medium-tint: #a2a4ab;

  --ion-color-light: #222428;
  --ion-color-light-rgb: 34, 36, 40;
  --ion-color-light-contrast: #ffffff;
  --ion-color-light-contrast-rgb: 255, 255, 255;
  --ion-color-light-shade: #1e2023;
  --ion-color-light-tint: #383a3e;

  --default-shadow:
    0 8px 32px 0 rgba(18, 66, 92, 0.1), 0 4px 6px 0 rgba(16, 25, 32, 0.05),
    0 2px 2px 0 rgba(0, 0, 0, 0.05);

  --default-shadow-hidden:
    0 0 0 -6px rgba(0, 56, 87, 0.1), 0 0 0 -6px rgba(0, 0, 0, 0.05),
    0 0 0 -6px rgba(0, 0, 0, 0.05);
}

@media (prefers-color-scheme: dark) {
  :root {
    --Main-Foreground: rgba(255, 255, 255, 1);
    --Secondary-Foreground: rgba(255, 255, 255, 0.65);
    --Main-Foreground-Link: rgba(255, 87, 97, 0.8);
    --Hint-Foreground: rgba(255, 255, 255, 0.15);
    --Maximum-Background: #000;
    --Elevated-Background: #252a29;
    --Elevated-Background-On-Color: #3d4e4b;
    --Taskbar-Highlight-Fill: #e0f1ea;
    --Colored-Background: #343c38;
    --Hint-Background: #1e4f5a;
    --Hint-Background-2: #b3e8ff;
    --Error-Background: rgba(236, 119, 12, 0.9);
    --Warning-Background: #904020;
    --background: rgb(0, 0, 0);
    --Containerized-Background: #293433;
    --Color-Primary: rgba(211, 78, 86, 1);
    --color-accent-green: rgba(148, 196, 54, 1);
    --color-button-highlight-normal: #d34e56;
    --color-button-primary-normal: #000000;
    --color-accent-mint: rgba(49, 198, 131, 1);
    --color-accent-teal: rgba(19, 108, 121, 1);
    --color-accent-blue: rgba(0, 138, 218, 1);
    --color-accent-violet: rgba(110, 96, 183, 1);
    --color-accent-red: rgba(211, 78, 86, 1);
    --color-accent-orange: rgba(225, 139, 78, 1);
    --color-hint: rgba(30, 79, 90, 1);
    --color-button-secondary-normal: var(--elevated-background-on-color);
    --elevated-background-on-color: rgba(61, 78, 75, 1);
    --color-primary: rgba(211, 78, 86, 1);
    --tabbar-highlight-fill: #e0f1ea;
  }

  body {
    --ion-background-color: var(--background);
    --ion-background-color-rgb: 18, 18, 18;

    --ion-text-color: rgba(255, 255, 255, 0.8);
    --ion-text-color-rgb: 255, 255, 255;
    --ion-text-color-secondary-foreground: rgba(255, 255, 255, 0.4);

    --ion-border-color: #222222;

    --ion-color-step-50: #1e1e1e;
    --ion-color-step-100: #2a2a2a;
    --ion-color-step-150: #363636;
    --ion-color-step-200: #414141;
    --ion-color-step-250: #4d4d4d;
    --ion-color-step-300: #595959;
    --ion-color-step-350: #656565;
    --ion-color-step-400: #717171;
    --ion-color-step-450: #7d7d7d;
    --ion-color-step-500: #898989;
    --ion-color-step-550: #949494;
    --ion-color-step-600: #a0a0a0;
    --ion-color-step-650: #acacac;
    --ion-color-step-700: #b8b8b8;
    --ion-color-step-750: #c4c4c4;
    --ion-color-step-800: #d0d0d0;
    --ion-color-step-850: #dbdbdb;
    --ion-color-step-900: #e7e7e7;
    --ion-color-step-950: #f3f3f3;

    --ion-toolbar-background: #1f1f1f;

    --ion-tab-bar-background: #1f1f1f;
  }
}
